Bug 177607 - Slab posion OOPS
Slab posion OOPS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-12 04:15 EST by Bryce
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-19 01:55:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryce 2006-01-12 04:15:31 EST
2.6.15-1.1823_FC4smp

note the pde pointer...

Jan 12 09:10:50 Emerald kernel: Unable to handle kernel paging request at
virtual address 6b6b6d47
Jan 12 09:10:50 Emerald kernel:  printing eip:
Jan 12 09:10:50 Emerald kernel: c0129f99
Jan 12 09:10:50 Emerald kernel: *pde = 6b6b6b6b
Jan 12 09:10:50 Emerald kernel: Oops: 0000 [#1]
Jan 12 09:10:50 Emerald kernel: SMP 
Jan 12 09:10:50 Emerald kernel: last sysfs file: /class/vc/vcsa7/dev
Jan 12 09:10:50 Emerald kernel: Modules linked in: parport_pc lp parport autofs4
sunrpc ipv6 joydev vfat fat ov511 wacom usb_storage dm_mod video button battery ac
 ohci1394 ieee1394 uhci_hcd bt878 tuner bttv video_buf i2c_algo_bit v4l2_common
btcx_risc tveeprom videodev budget_ci tda1004x budget_core saa7146 ttpci_eeprom stv
0299 dvb_core stv0297 i2c_i801 i2c_core snd_intel8x0 snd_ac97_codec snd_ac97_bus
snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss sn
d_mixer_oss snd_pcm snd_timer snd soundcore snd_page_alloc e100 mii floppy ext3
jbd ata_piix libata sd_mod scsi_mod
Jan 12 09:10:50 Emerald kernel: CPU:    1
Jan 12 09:10:50 Emerald kernel: EIP:    0060:[current_fs_time+72/117]    Not
tainted VLI
Jan 12 09:10:50 Emerald kernel: EIP:    0060:[<c0129f99>]    Not tainted VLI
Jan 12 09:10:50 Emerald kernel: EFLAGS: 00010246   (2.6.15-1.1823_FC4smp) 
Jan 12 09:10:50 Emerald kernel: EIP is at current_fs_time+0x48/0x75
Jan 12 09:10:50 Emerald kernel: eax: f2fddf34   ebx: 2ffac4ac   ecx: 6b6b6b6b  
edx: 00000000
Jan 12 09:10:50 Emerald kernel: esi: 43c61d17   edi: 00000001   ebp: 00000000  
esp: f2fddf28
Jan 12 09:10:50 Emerald kernel: ds: 007b   es: 007b   ss: 0068
Jan 12 09:10:50 Emerald kernel: Process squid (pid: 3528, threadinfo=f2fdd000
task=f7dfeaa0)
Jan 12 09:10:50 Emerald kernel: Stack: 00000000 6b6b6b6b f2fddf6c 00100100
00200200 f2d6e0c0 f2e3f000 00000001 
Jan 12 09:10:50 Emerald kernel:        00000000 c023af56 00000001 b7cda001
c023feb2 00000001 f2e3f00c 00000001 
Jan 12 09:10:50 Emerald kernel:        00000001 f2e07b44 43c61d17 f2d90338
00000001 b7cda000 c023ad8a c016adc2 
Jan 12 09:10:50 Emerald kernel: Call Trace:
Jan 12 09:10:50 Emerald kernel:  [tty_write+460/506] tty_write+0x1cc/0x1fa    
[write_chan+0/483] write_chan+0x0/0x1e3
Jan 12 09:10:50 Emerald kernel:  [<c023af56>] tty_write+0x1cc/0x1fa    
[<c023feb2>] write_chan+0x0/0x1e3
Jan 12 09:10:50 Emerald kernel:  [tty_write+0/506] tty_write+0x0/0x1fa    
[vfs_write+162/346] vfs_write+0xa2/0x15a
Jan 12 09:10:50 Emerald kernel:  [<c023ad8a>] tty_write+0x0/0x1fa    
[<c016adc2>] vfs_write+0xa2/0x15a
Jan 12 09:10:50 Emerald kernel:  [sys_write+65/106] sys_write+0x41/0x6a    
[syscall_call+7/11] syscall_call+0x7/0xb
Jan 12 09:10:50 Emerald kernel:  [<c016af25>] sys_write+0x41/0x6a    
[<c0104085>] syscall_call+0x7/0xb
Jan 12 09:10:50 Emerald kernel: Code: 8b 1d 14 cf 4a c0 8b 35 10 cf 4a c0 0f ae
e8 8d 76 00 89 ca 83 e2 01 8b 0d 80 8c 3f c0 31 c8 09 c2 75 d5 8d 44 24 0c 8b 4c 24
 04 <8b> 91 dc 01 00 00 89 14 24 89 f2 89 d9 e8 1b 00 00 00 8b 44 24
Comment 1 Dave Jones 2006-01-12 18:13:13 EST
I just built an 1824 which fixes some silly bits, but this is a new pattern I've
not seen before.  It *could* be a symptom of the vm related change though, so
I'm curious if this new kernel has the same issue.

Were you doing anything particularly out of the ordinary to hit this ?

(1824 should go into updates-testing pretty soon)
Comment 2 Bryce 2006-01-13 14:13:05 EST
Actually no,.. this one bailed out during the bootup sequence so it wasn't even
running anything special at that point really.

I'll poke around and see where youve hidden 1824 then and get back to you 8)

Phil (destroyer of kernels)
=--=
Comment 3 Dave Jones 2006-01-13 16:16:56 EST
1824 should be in updates-testing now.  Also at
http://people.redhat.com/davej/kernels/Fedora/FC4/
Comment 4 Bryce 2006-01-17 11:23:59 EST
Not seen a recurrance of this one for the past few days after much abuse (1824)

Probably should close this off now

Cheers

Phil
=--=
Comment 5 Dave Jones 2006-01-19 01:55:48 EST
cool. dodgy vm debugging changes. *sigh*

Note You need to log in before you can comment on or make changes to this bug.